/*
 * Primary menus header, loads constants used by menus
 */
#ifndef MENUS_H
#define MENUS_H
#include "mtype.h"

/* Max languages allowed */
#define MaxLanguage 10
/* Blank password */
#define BlankPW "          "
/* Password length */
#define PASSLEN   10
/* Number of passwords */
#define MaxPassword 5
/* Max items which can appear on a menu */
#define MaxMenuItems	64
/* Maximum nesting of menus, including special menus */
#define MaxNestedMenus  20
/* Maximum number of alarms displayed */
#define MaxAlarmItems	10
/* Maximum number of items in the status box */
#define MaxStatusBoxItems 3
/* Maximum number of items on status display */
#define MaxStatusDisplayItems 32
/* Maximum length of subtitile */
#define MAX_SUBTITLE 40
/* Company name max length */
#define COMPANY_NAME_LENGTH 80
/* Default time for clean-screen */
#define CLEAN_TIME 40
/* Maximum size of a saved name */
#define NameBufferMax 40
/* Number of blinking regions of each type that can be on the screen */
#define MX_BLINK_SAVE 80
/* Max number of chars to input for buffer allocation, however
 * input is usually limited to the field length
 */
#define EditLength 80
/* Number of colors supported */
#define MAX_COLORS 16
// Cursor character position indicator
#ifdef FLUKE
#define CURSOR 0xc5
#else
#define CURSOR 0x85
#endif
#ifdef ISBC
/* Period in ticks for character blinking */
#define BlinkPeriod   500
/* Number of ticks for blink buttons to be on */
#define BLINKBUTTON_LEN	9
#else
/* Period in ticks for character blinking */
#define BlinkPeriod		1000
/* Number of ticks for blink buttons to be on */
#define BLINKBUTTON_LEN	500
#endif

/* For anything which needs to send an error to the console */
#ifdef ISNT
#define ERROUT(aa) MessageBox(NULL,aa,"ERROR",MB_ICONEXCLAMATION);
#else
#define ERROUT(aa) printf(aa);
#endif

#endif /* MENUS_H */